## org.hibernate.hql.spi
Interface ParameterTranslations

All Known Implementing Classes:
  ParameterTranslationsImpl

    public interface ParameterTranslations

Defines available information about the parameters encountered during query translation.

Method Summary
`Type` `getNamedParameterExpectedType(String name)`
`Set` `getNamedParameterNames()`
`int[]` `getNamedParameterSqlLocations(String name)`
`int` `getOrdinalParameterCount()`
`Type` `getOrdinalParameterExpectedType(int ordinalPosition)`
`int` `getOrdinalParameterSqlLocation(int ordinalPosition)`
`boolean` `supportsOrdinalParameterMetadata()`

Method Detail

### supportsOrdinalParameterMetadata

    boolean supportsOrdinalParameterMetadata()

### getOrdinalParameterCount

    int getOrdinalParameterCount()

### getOrdinalParameterSqlLocation

    int getOrdinalParameterSqlLocation(int ordinalPosition)

### getOrdinalParameterExpectedType

    Type getOrdinalParameterExpectedType(int ordinalPosition)

### getNamedParameterNames

    Set getNamedParameterNames()

### getNamedParameterSqlLocations

    int[] getNamedParameterSqlLocations(String name)

### getNamedParameterExpectedType

    Type getNamedParameterExpectedType(String name)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.